/*
 * Copyright (c) 1995, 1996 The University of Utah and
 * the Computer Systems Laboratory at the University of Utah (CSL).
 *
 * This file is part of Flick, the Flexible IDL Compiler Kit.
 *
 * Flick is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Flick is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Flick; see the file COPYING.  If not, write to
 * the Free Software Foundation, 59 Temple Place #330, Boston, MA 02111, USA.
 */

#if 0
/* NB: This file currently isn't actually used for anything;
   it's just meant to be human-readable documentation for what
   the aoi-to-mint (or mig-to-mint) conversion process is supposed to do... */


union mom_mig_msg
switch (int code)
{
	/* Request messages */
	case 100:	<request>
	case 101:	<request>
	case 102:	<request>

	/* Reply messages */
	case 200:	<request>
	case 201:	<request>
	case 202:	<request>
}

enum mom_msg_kind
{
	MOM_MSG_ONC_REQUEST	= 0x4f4e4301,	/* 'ONC\1' */
	MOM_MSG_ONC_REPLY	= 0x4f4e4302,	/* 'ONC\2' */
	MOM_MSG_CORBA_REQUEST	= 0x43524201,	/* 'CRB\1' */
	MOM_MSG_CORBA_REPLY	= 0x43524202,	/* 'CRB\2' */
	MOM_MSG_MIG		= 0x4d494700,	/* 'MIG\0' */
};
enum mom_msg_kind
{
	MOM_MSG_REQUEST	= 1,
	MOM_MSG_REPLY	= 2
};
union mom_msg
switch (mom_msg_kind kind)
{
	case MOM_MSG_ONC_REQUEST:	mom_onc_request		onc_request;
	case MOM_MSG_ONC_REPLY:		mom_onc_reply		onc_reply;
	case MOM_MSG_CORBA_REQUEST:	mom_corba_request	corba_request;
	case MOM_MSG_CORBA_REPLY:	mom_corba_reply		corba_reply;
	case MOM_MSG_MIG:		mom_mig_msg		mig;
};

#endif
